NX Open C++ Reference Guide
|
Builder for creating a gap arc object on a line segment. More...
Public Member Functions | |
void | CreateBuilder (NXOpen::Line *selLine, NXOpen::Line *crossLine, double gapWidth, const NXOpen::Point3d &gapStartPoint, const NXOpen::Point3d &gapEndPoint, bool bridgeOverGap, bool arcOrientation) |
Takes selected line, gap start and end points, and gap type settings in to initialise builder data. | |
void | SetBuilderData (NXOpen::Line *selLine, NXOpen::Line *crossLine, double gapWidth, const NXOpen::Point3d &gapStartPoint, const NXOpen::Point3d &gapEndPoint, bool bridgeOverGap, bool arcOrientation) |
Takes selected line, gap start and end points, and gap type settings in to set builder data. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Builder for creating a gap arc object on a line segment.
To create a new instance of this class, use Routing::RouteManager::CreateGapDisplayBuilder
Created in NX8.5.0.
void NXOpen::Routing::GapDisplayBuilder::CreateBuilder | ( | NXOpen::Line * | selLine, |
NXOpen::Line * | crossLine, | ||
double | gapWidth, | ||
const NXOpen::Point3d & | gapStartPoint, | ||
const NXOpen::Point3d & | gapEndPoint, | ||
bool | bridgeOverGap, | ||
bool | arcOrientation | ||
) |
Takes selected line, gap start and end points, and gap type settings in to initialise builder data.
Created in NX8.5.0.
License requirements : routing_base ("Routing Basic")
selLine | selline |
crossLine | crossline |
gapWidth | gapwidth |
gapStartPoint | gapstartpoint |
gapEndPoint | gapendpoint |
bridgeOverGap | bridgeovergap |
arcOrientation | arcorientation |
void NXOpen::Routing::GapDisplayBuilder::SetBuilderData | ( | NXOpen::Line * | selLine, |
NXOpen::Line * | crossLine, | ||
double | gapWidth, | ||
const NXOpen::Point3d & | gapStartPoint, | ||
const NXOpen::Point3d & | gapEndPoint, | ||
bool | bridgeOverGap, | ||
bool | arcOrientation | ||
) |
Takes selected line, gap start and end points, and gap type settings in to set builder data.
Created in NX8.5.0.
License requirements : routing_base ("Routing Basic")
selLine | selline |
crossLine | crossline |
gapWidth | gapwidth |
gapStartPoint | gapstartpoint |
gapEndPoint | gapendpoint |
bridgeOverGap | bridgeovergap |
arcOrientation | arcorientation |